Bug 300514 - Terminal emulator needs Konsole, please add a warning when missing
Summary: Terminal emulator needs Konsole, please add a warning when missing
Status: RESOLVED FIXED
Alias: None
Product: krusader
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Krusader Bugs Distribution List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-23 17:41 UTC by Ciro Santilli
Modified: 2018-05-06 00:15 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.0-beta2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ciro Santilli 2012-05-23 17:41:38 UTC
I installed Krusader from Ubuntu packages and Konsole was missing.

It took me along time to notice that I had to install it, and the solution was trivial

sudo apt-get install konsole

Would it be possible to add a popup saying:

Konkeror not found in case someone tries to open it and it is missing?

I have also submitted a similar report for the Bookmarg manager at

https://bugs.kde.org/show_bug.cgi?id=300068

please try it out and confirm it if you also wish this one to be done.

Reproducible: Always

Steps to Reproduce:
1. Install Krusader on Ubuntu via sudo apt-get install Krusader
2. Do not install Konkeror
3. click Settings > Show terminal emulator
Actual Results:  
Nothing happens

Expected Results:  
The terminal emulator opens.
Comment 1 Jan Lepper 2012-09-25 12:02:26 UTC
Git commit f2b9b117d3e2f7cfcd802f03f4cd7a26fccb0611 by Jan Lepper.
Committed on 25/09/2012 at 14:01.
Pushed by janlepper into branch 'master'.

FIXED: [ 300514 ] no warning if terminal emulator can't be created

M  +1    -0    ChangeLog
M  +15   -9    krusader/GUI/terminaldock.cpp

http://commits.kde.org/krusader/f2b9b117d3e2f7cfcd802f03f4cd7a26fccb0611